aboutsummaryrefslogtreecommitdiff
path: root/modules/ak-roadmap
diff options
context:
space:
mode:
Diffstat (limited to 'modules/ak-roadmap')
-rwxr-xr-xmodules/ak-roadmap35
1 files changed, 35 insertions, 0 deletions
diff --git a/modules/ak-roadmap b/modules/ak-roadmap
new file mode 100755
index 0000000..a30894a
--- /dev/null
+++ b/modules/ak-roadmap
@@ -0,0 +1,35 @@
+#!/bin/bash
+echo "$(basename $0) - Not implemented"
+exit 1
+
+title(){
+ echo "AK Roadmap tool"
+}
+
+usage(){
+ title
+}
+
+search(){
+ cd $HOME/projects
+ PRJS="$(ls -1 .)"
+ for prj in $PRJS
+ do
+ if [ -f $prj/ROADMAP.md ];
+ then
+ echo " - Roadmap found in $prj"
+ fi
+ done
+}
+
+if [ ! -z $1 ];
+then
+ case $1 in
+ -h | --help) usage; exit;;
+ search) search; exit;;
+ *) usage; exit;;
+ esac
+else
+ usage
+ exit 0
+fi